from Numeric import *
from numpy import *
from numpy.linalg import *

class Cell:
	def __init__(self, octant, x, y, z):
		#normalize x and y
				
		self.normal = array([x,y,z])
		#get signs for octant
		self.normal = self.normal * self.getSigns(octant)
		self.vertices = [0,0,0]
		self.mappedNormals = list()

	def getSigns(self, octant):
		if octant == 0:
			signs = [1, 1, 1]
		elif octant == 1:
			signs = [1, -1, 1]
		elif octant == 2:
			signs = [-1, -1, 1]
		elif octant == 3:
			signs = [-1, 1, 1]	
		elif octant == 4:
			signs = [1, 1, -1]
		elif octant == 5:
			signs = [1, -1, -1]
		elif octant == 6:
			signs = [-1, -1, -1]
		elif octant == 7:
			signs = [-1, 1, -1]
			
		return array(signs)

	def addInfo(self, point, normal, interpolated):
		self.mappedNormals.append((point,normal, interpolated))			
